<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy8ckit__032_8c" kind="file" language="C++">
    <compoundname>cy8ckit_032.c</compoundname>
    <includes local="yes" refid="cy8ckit__032_8h">cy8ckit_032.h</includes>
    <includes local="yes">cyhal_i2c.h</includes>
    <incdepgraph>
      <node id="1">
        <label>cyhal_i2c.h</label>
      </node>
      <node id="0">
        <label>cy8ckit_032.c</label>
        <link refid="cy8ckit__032_8c" />
        <childnode refid="1" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="cy8ckit__032_8c_1a0db21dab139252728df564bbf5121791" kind="define" prot="public" static="no">
        <name>AFE_I2C_ADDRESS</name>
        <initializer>(0x42)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="28" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="28" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="cy8ckit__032_8c_1a1a5d64a9bb2482ebae0acb0c4e20ea46" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_i2c_t</type>
        <definition>cyhal_i2c_t i2c</definition>
        <argsstring />
        <name>i2c</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="30" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="30" />
      </memberdef>
      <memberdef id="cy8ckit__032_8c_1a9d88c1d94930b456b91d9a22a6493b89" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_i2c_t *</type>
        <definition>cyhal_i2c_t* i2c_ptr</definition>
        <argsstring />
        <name>i2c_ptr</name>
        <initializer>= NULL</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="31" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="31" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy8ckit__032_8c_1a07b653694a0b0452b2b5daa1a027b1ef" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t _cy8ckit_032_get_byte</definition>
        <argsstring>(uint8_t offset, uint8_t *value)</argsstring>
        <name>_cy8ckit_032_get_byte</name>
        <param>
          <type>uint8_t</type>
          <declname>offset</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>value</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="43" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="37" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="37" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy8ckit__032_8c_1a570b7a627c118325d23a0ba8086f6888" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t _cy8ckit_032_set_byte</definition>
        <argsstring>(uint8_t offset, uint8_t value)</argsstring>
        <name>_cy8ckit_032_set_byte</name>
        <param>
          <type>uint8_t</type>
          <declname>offset</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>value</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="53" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="49" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="49" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy8ckit__032_8c_1a75c4a4113c391a72c80f19a964183abe" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t _cy8ckit_032_get_float</definition>
        <argsstring>(uint8_t offset, float *value)</argsstring>
        <name>_cy8ckit_032_get_float</name>
        <param>
          <type>uint8_t</type>
          <declname>offset</declname>
        </param>
        <param>
          <type>float *</type>
          <declname>value</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="65" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="59" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="59" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy8ckit__032_8c_1a5c0053603f9a8a2a98432661c864ee0e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t _cy8ckit_032_set_float</definition>
        <argsstring>(uint8_t offset, float value)</argsstring>
        <name>_cy8ckit_032_set_float</name>
        <param>
          <type>uint8_t</type>
          <declname>offset</declname>
        </param>
        <param>
          <type>float</type>
          <declname>value</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="81" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="71" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="71" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga3f1d698f453a56c53c6fb82154eab33d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_init</definition>
        <argsstring>(cyhal_i2c_t *inst)</argsstring>
        <name>cy8ckit_032_init</name>
        <param>
          <type>cyhal_i2c_t *</type>
          <declname>inst</declname>
        </param>
        <briefdescription>
<para>Initializes the I2C interface for communicating with the AFE and OLED components on the board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">inst</parametername>
</parameternamelist>
<parameterdescription>
<para>An optional I2C instance to use for communicating with the peripherals on the shield. If NULL, a new instance will be allocated using the CYBSP_I2C_SCL &amp; CYBSP_I2C_SDA pins. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="119" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="87" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="87" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga6e086bd772859b13190977f9a11d3424" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_get_cled_state</definition>
        <argsstring>(cy8ckit_032_cled_t cled, bool *state)</argsstring>
        <name>cy8ckit_032_get_cled_state</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref></type>
          <declname>cled</declname>
        </param>
        <param>
          <type>bool *</type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Gets the current state of a single CapSense LED on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cled</parametername>
</parameternamelist>
<parameterdescription>
<para>The CLED to get the state for </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">state</parametername>
</parameternamelist>
<parameterdescription>
<para>The current state of the requested CLED. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="132" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="125" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="125" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga4fe179327d38604d082fd32706a836e9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_set_cled_state</definition>
        <argsstring>(cy8ckit_032_cled_t cled, bool state)</argsstring>
        <name>cy8ckit_032_set_cled_state</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref></type>
          <declname>cled</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Sets the current state of the referenced CapSense LED on the shield board if it is configured for Software Control (<ref kindref="member" refid="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5">cy8ckit_032_set_led_control()</ref>). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cled</parametername>
</parameternamelist>
<parameterdescription>
<para>The CLED to get the state for </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">state</parametername>
</parameternamelist>
<parameterdescription>
<para>The desired state of the requested CLED. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="153" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="138" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="138" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1gaecbe783623caee02f3c33260d564a218" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_get_button_state</definition>
        <argsstring>(cy8ckit_032_button_t button, bool *state)</argsstring>
        <name>cy8ckit_032_get_button_state</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1ga5fbfea25e4c4c750e67302a64d24d430">cy8ckit_032_button_t</ref></type>
          <declname>button</declname>
        </param>
        <param>
          <type>bool *</type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Gets the current state of a single Button on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">button</parametername>
</parameternamelist>
<parameterdescription>
<para>The Button to get the state for </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">state</parametername>
</parameternamelist>
<parameterdescription>
<para>The current state of the requested Button. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="166" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="159" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="159" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga95cffb0a55bb053a698c65a1e995a73b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy8ckit_032_free</definition>
        <argsstring>()</argsstring>
        <name>cy8ckit_032_free</name>
        <briefdescription>
<para>Frees up any resources allocated as part of <ref kindref="member" refid="group__group__board__libs__afe_1ga3f1d698f453a56c53c6fb82154eab33d">cy8ckit_032_init()</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="178" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="172" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" line="172" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />\file<sp />cy8ckit_032.c</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="4"><highlight class="comment"><sp />*<sp />Description:<sp />This<sp />file<sp />contains<sp />the<sp />implementation<sp />for<sp />the<sp />CY8CKIT-032</highlight></codeline>
<codeline lineno="5"><highlight class="comment"><sp />*<sp />Analog<sp />Front<sp />End<sp />shield.</highlight></codeline>
<codeline lineno="6"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="7"><highlight class="comment"><sp />*******************************************************************************</highlight></codeline>
<codeline lineno="8"><highlight class="comment"><sp />*<sp />\copyright</highlight></codeline>
<codeline lineno="9"><highlight class="comment"><sp />*<sp />Copyright<sp />2018-2020<sp />Cypress<sp />Semiconductor<sp />Corporation</highlight></codeline>
<codeline lineno="10"><highlight class="comment"><sp />*<sp />SPDX-License-Identifier:<sp />Apache-2.0</highlight></codeline>
<codeline lineno="11"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="12"><highlight class="comment"><sp />*<sp />Licensed<sp />under<sp />the<sp />Apache<sp />License,<sp />Version<sp />2.0<sp />(the<sp />"License");</highlight></codeline>
<codeline lineno="13"><highlight class="comment"><sp />*<sp />you<sp />may<sp />not<sp />use<sp />this<sp />file<sp />except<sp />in<sp />compliance<sp />with<sp />the<sp />License.</highlight></codeline>
<codeline lineno="14"><highlight class="comment"><sp />*<sp />You<sp />may<sp />obtain<sp />a<sp />copy<sp />of<sp />the<sp />License<sp />at</highlight></codeline>
<codeline lineno="15"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="16"><highlight class="comment"><sp />*<sp /><sp /><sp /><sp /><sp />http://www.apache.org/licenses/LICENSE-2.0</highlight></codeline>
<codeline lineno="17"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="18"><highlight class="comment"><sp />*<sp />Unless<sp />required<sp />by<sp />applicable<sp />law<sp />or<sp />agreed<sp />to<sp />in<sp />writing,<sp />software</highlight></codeline>
<codeline lineno="19"><highlight class="comment"><sp />*<sp />distributed<sp />under<sp />the<sp />License<sp />is<sp />distributed<sp />on<sp />an<sp />"AS<sp />IS"<sp />BASIS,</highlight></codeline>
<codeline lineno="20"><highlight class="comment"><sp />*<sp />WITHOUT<sp />WARRANTIES<sp />OR<sp />CONDITIONS<sp />OF<sp />ANY<sp />KIND,<sp />either<sp />express<sp />or<sp />implied.</highlight></codeline>
<codeline lineno="21"><highlight class="comment"><sp />*<sp />See<sp />the<sp />License<sp />for<sp />the<sp />specific<sp />language<sp />governing<sp />permissions<sp />and</highlight></codeline>
<codeline lineno="22"><highlight class="comment"><sp />*<sp />limitations<sp />under<sp />the<sp />License.</highlight></codeline>
<codeline lineno="23"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy8ckit_032.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_i2c.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#define<sp />AFE_I2C_ADDRESS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x42)</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_i2c_t<sp />i2c;</highlight></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_i2c_t<sp />*i2c_ptr<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="35"><highlight class="comment"><sp />*<sp />Utility<sp />functions<sp />for<sp />reading<sp />data<sp />from<sp />the<sp />shield</highlight></codeline>
<codeline lineno="36"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal">cy_rslt_t<sp />_cy8ckit_032_get_byte(uint8_t<sp />offset,<sp />uint8_t<sp />*value)</highlight></codeline>
<codeline lineno="38"><highlight class="normal">{</highlight></codeline>
<codeline lineno="39"><highlight class="normal"><sp /><sp /><sp /><sp />cy_rslt_t<sp />rslt<sp />=<sp />cyhal_i2c_master_write(i2c_ptr,<sp />AFE_I2C_ADDRESS,<sp />&amp;offset,<sp />1,<sp />0,<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="41"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_i2c_master_read(i2c_ptr,<sp />AFE_I2C_ADDRESS,<sp />value,<sp />1,<sp />0,<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="42"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="43"><highlight class="normal">}</highlight></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="47"><highlight class="comment"><sp />*<sp />Utility<sp />functions<sp />for<sp />writing<sp />data<sp />to<sp />the<sp />shield</highlight></codeline>
<codeline lineno="48"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal">cy_rslt_t<sp />_cy8ckit_032_set_byte(uint8_t<sp />offset,<sp />uint8_t<sp />value)</highlight></codeline>
<codeline lineno="50"><highlight class="normal">{</highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />buff[2]<sp />=<sp />{<sp />offset,<sp />value<sp />};</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />cyhal_i2c_master_write(i2c_ptr,<sp />AFE_I2C_ADDRESS,<sp />buff,<sp />2,<sp />0,<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="53"><highlight class="normal">}</highlight></codeline>
<codeline lineno="54"><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="57"><highlight class="comment"><sp />*<sp />Utility<sp />functions<sp />for<sp />reading<sp />data<sp />from<sp />the<sp />shield</highlight></codeline>
<codeline lineno="58"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal">cy_rslt_t<sp />_cy8ckit_032_get_float(uint8_t<sp />offset,<sp /></highlight><highlight class="keywordtype">float</highlight><highlight class="normal"><sp />*value)</highlight></codeline>
<codeline lineno="60"><highlight class="normal">{</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />cy_rslt_t<sp />rslt<sp />=<sp />cyhal_i2c_master_write(i2c_ptr,<sp />AFE_I2C_ADDRESS,<sp />&amp;offset,<sp />1,<sp />0,<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_i2c_master_read(i2c_ptr,<sp />AFE_I2C_ADDRESS,<sp />(uint8_t*)value,<sp />4,<sp />0,<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="65"><highlight class="normal">}</highlight></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="69"><highlight class="comment"><sp />*<sp />Utility<sp />functions<sp />for<sp />writing<sp />data<sp />to<sp />the<sp />shield</highlight></codeline>
<codeline lineno="70"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal">cy_rslt_t<sp />_cy8ckit_032_set_float(uint8_t<sp />offset,<sp /></highlight><highlight class="keywordtype">float</highlight><highlight class="normal"><sp />value)</highlight></codeline>
<codeline lineno="72"><highlight class="normal">{</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />buff[5]<sp />=<sp />{</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />offset,</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint8_t)(value),</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint8_t)(((uint32_t)value)<sp />&gt;&gt;<sp />8),</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint8_t)(((uint32_t)value)<sp />&gt;&gt;<sp />16),</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint8_t)(((uint32_t)value)<sp />&gt;&gt;<sp />24)</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />cyhal_i2c_master_write(i2c_ptr,<sp />AFE_I2C_ADDRESS,<sp />buff,<sp />5,<sp />0,<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="81"><highlight class="normal">}</highlight></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="85"><highlight class="comment"><sp />*<sp />Shield<sp />initialization<sp />function</highlight></codeline>
<codeline lineno="86"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga3f1d698f453a56c53c6fb82154eab33d">cy8ckit_032_init</ref>(cyhal_i2c_t<sp />*inst)</highlight></codeline>
<codeline lineno="88"><highlight class="normal">{</highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp />cy_rslt_t<sp />rslt<sp />=<sp />CY_RSLT_SUCCESS;</highlight></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(NULL<sp />==<sp />inst)</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Configuration<sp />to<sp />initialize<sp />the<sp />I2C<sp />block<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />cyhal_i2c_cfg_t<sp />I2C_CONFIG<sp />=<sp />{</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.is_slave<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.address<sp />=<sp />0,</highlight></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.frequencyhal_hz<sp />=<sp />400000</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="99"><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_i2c_init(&amp;i2c,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gaa91ac45146379732e5011d701fcfd426">CY8CKIT_032_PIN_I2C_SDA</ref>,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga339865b1265eb9188a02865216672d96">CY8CKIT_032_PIN_I2C_SCL</ref>,<sp />NULL);</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />i2c_ptr<sp />=<sp />&amp;i2c;</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_i2c_configure(&amp;i2c,<sp />&amp;I2C_CONFIG);</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />i2c_ptr<sp />=<sp />inst;</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />mtb_ssd1306_init_i2c(i2c_ptr);</highlight></codeline>
<codeline lineno="114"><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />!=<sp />rslt)</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga95cffb0a55bb053a698c65a1e995a73b">cy8ckit_032_free</ref>();</highlight></codeline>
<codeline lineno="117"><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="119"><highlight class="normal">}</highlight></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="123"><highlight class="comment"><sp />*<sp />Gets<sp />the<sp />current<sp />state<sp />of<sp />a<sp />single<sp />CapSense<sp />LED</highlight></codeline>
<codeline lineno="124"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga6e086bd772859b13190977f9a11d3424">cy8ckit_032_get_cled_state</ref>(<ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref><sp />cled,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />*state)</highlight></codeline>
<codeline lineno="126"><highlight class="normal">{</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />states;</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp />cy_rslt_t<sp />rslt<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__afe_1gad0904175debfeefc12418de6819c747f">cy8ckit_032_get_cled_states</ref>(&amp;states);</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*state<sp />=<sp />((states<sp />&amp;<sp />cled)<sp />&gt;<sp />0);</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="132"><highlight class="normal">}</highlight></codeline>
<codeline lineno="133"><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="136"><highlight class="comment"><sp />*<sp />Sets<sp />the<sp />current<sp />state<sp />of<sp />the<sp />CapSense<sp />LEDs</highlight></codeline>
<codeline lineno="137"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga4fe179327d38604d082fd32706a836e9">cy8ckit_032_set_cled_state</ref>(<ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref><sp />cled,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />state)</highlight></codeline>
<codeline lineno="139"><highlight class="normal">{</highlight></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />states;</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp />cy_rslt_t<sp />rslt<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__afe_1gad0904175debfeefc12418de6819c747f">cy8ckit_032_get_cled_states</ref>(&amp;states);</highlight></codeline>
<codeline lineno="142"><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(state)</highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />states<sp />|=<sp />cled;</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />states<sp />&amp;=<sp />!cled;</highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_cy8ckit_032_set_byte(_CY8CKIT_032_I2C_OFFSET_LED_VALUE,<sp />states);</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="153"><highlight class="normal">}</highlight></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="157"><highlight class="comment"><sp />*<sp />Gets<sp />the<sp />current<sp />state<sp />of<sp />a<sp />single<sp />Button<sp />on<sp />the<sp />shield<sp />board.</highlight></codeline>
<codeline lineno="158"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1gaecbe783623caee02f3c33260d564a218">cy8ckit_032_get_button_state</ref>(<ref kindref="member" refid="group__group__board__libs__afe_1ga5fbfea25e4c4c750e67302a64d24d430">cy8ckit_032_button_t</ref><sp />button,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />*state)</highlight></codeline>
<codeline lineno="160"><highlight class="normal">{</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />states;</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp />cy_rslt_t<sp />rslt<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga133dd5aaaec2244008abda92ba8f4bb8">cy8ckit_032_get_button_states</ref>(&amp;states);</highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*state<sp />=<sp />((states<sp />&amp;<sp />button)<sp />&gt;<sp />0);</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="166"><highlight class="normal">}</highlight></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="170"><highlight class="comment"><sp />*<sp />Frees<sp />up<sp />any<sp />resources<sp />allocated<sp />as<sp />part<sp />of<sp />the<sp />initialization</highlight></codeline>
<codeline lineno="171"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga95cffb0a55bb053a698c65a1e995a73b">cy8ckit_032_free</ref>()</highlight></codeline>
<codeline lineno="173"><highlight class="normal">{</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_ssd1306_free();</highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(i2c_ptr<sp />==<sp />&amp;i2c)</highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_i2c_free(i2c_ptr);</highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp />i2c_ptr<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="178"><highlight class="normal">}</highlight></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" />
  </compounddef>
</doxygen>